# Axioms supported by `ir_axioms`

The following list highlights changes to the original axiom definitions, 
e.g., to allow for queries with more than one term.

| Axiom  |                        📄                          | Changes                                                                                                       | Reason                                             | Parameters                                        |
|--------|:--------------------------------------------------:|---------------------------------------------------------------------------------------------------------------|----------------------------------------------------|---------------------------------------------------|
| TFC1   |   [🔗](https://doi.org/10.1145/1008992.1009004)    | Term frequencies sums over all query terms.                                                                   | Allow queries with more terms.                     | Slack parameter for document length precondition. |
| TFC2   |   [🔗](https://doi.org/10.1145/1961209.1961210)    | Not implemented.                                                                                              | No pairwise preference.                            |                                                   |
| TFC3   |   [🔗](https://doi.org/10.1145/1961209.1961210)    | Term discrimination uses inverse document frequency with 10% slack. Preferences counted over all query terms. | Allow queries with more terms.                     | Slack parameter for document length precondition. |
| TDC    |   [🔗](https://doi.org/10.1145/1961209.1961210)    | TODO                                                                                                          | TODO                                               | TODO                                              |
| LNC1   |   [🔗](https://doi.org/10.1145/1961209.1961210)    | Term frequency with 10% slack.                                                                                | Allow for relative term frequency implementations. |                                                   |
| LNC2   |   [🔗](https://doi.org/10.1145/1961209.1961210)    | Not implemented.                                                                                              |                                                    |                                                   |
| TF-LNC |   [🔗](https://doi.org/10.1145/1961209.1961210)    | Preferences counted over all query terms.                                                                     | Allow queries with more terms.                     |                                                   |
| LB1    |   [🔗](https://doi.org/10.1145/2063576.2063584)    | TODO                                                                                                          | TODO                                               | TODO                                              |
| LB2    |   [🔗](https://doi.org/10.1145/2063576.2063584)    | TODO                                                                                                          | TODO                                               | TODO                                              |
| REG    | [🔗](https://doi.org/10.1007/978-3-642-12275-0_31) | TODO                                                                                                          | TODO                                               | TODO                                              |
| AND    | [🔗](https://doi.org/10.1007/978-3-642-28997-2_10) | TODO                                                                                                          | TODO                                               | TODO                                              |
| STMC1  |   [🔗](https://doi.org/10.1145/1148170.1148193)    | TODO                                                                                                          | TODO                                               | TODO                                              |
| STMC2  |   [🔗](https://doi.org/10.1145/1148170.1148193)    | TODO                                                                                                          | TODO                                               | TODO                                              |
| PROX1  |   [🔗](https://doi.org/10.1145/2983323.2983704)    | TODO                                                                                                          | TODO                                               | TODO                                              |
| PROX2  |   [🔗](https://doi.org/10.1145/2983323.2983704)    | TODO                                                                                                          | TODO                                               | TODO                                              |
| PROX3  |   [🔗](https://doi.org/10.1145/2983323.2983704)    | TODO                                                                                                          | TODO                                               | TODO                                              |
| PROX4  |   [🔗](https://doi.org/10.1145/2983323.2983704)    | TODO                                                                                                          | TODO                                               | TODO                                              |
| PROX5  |   [🔗](https://doi.org/10.1145/2983323.2983704)    | TODO                                                                                                          | TODO                                               | TODO                                              |
